=== debian/changelog ===
zabbix-agent (1:1.6.0-ig2) unstable; urgency=low

  * new complete build

 -- Marcel Jäpel <m.jaepel@plusserver.de>  Tue,04 Nov 2008 13:22:32 +0100

zabbix-agent (1:1.6.0-ig1) unstable; urgency=low

  * new major release

 -- Marcel Jäpel <m.jaepel@plusserver.de>  Tue, 14 Oct 2008 15:08:32 +0200
