=== debian/control ===
Source: zabbix-agent
Section: net
Priority: optional
Maintainer: Marcel Jäpel <m.jaepel@plusserver.de>
Build-Depends: debhelper, automake1.9 
Standards-Version: 3.8.0
 
Package: zabbix-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, logrotate, ucf
Description: software for monitoring of your networks -- agent
 Zabbix is an all-in-one 24x7 free monitoring solution for both
 commercial and non-commercial use. 
 .
 Zabbix can be installed on any UNIX platform. It acts as server that 
 monitors client systems running on different platforms as well as other
 Network devices. The Software can be used for:
 .
  o high level monitoring of IT Services
  o centralised monitoring of your servers and applications
  o monitoring of SNMP-enabled devices
  o performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.)
  o data visualization
 .
 and much more.
 .
 This package provides all binaries which are needed to integrate
 a System as zabbix client.
