=== debian/rules ===
#!/usr/bin/make -f
## exports
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
## exports

## includes
include /usr/share/dpatch/dpatch.make
##

## defines
PKG_CLIENT = zabbix-agent
TMP_CLIENT = $(CURDIR)/debian/$(PKG_CLIENT)

INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -oroot -groot -m644
INSTALL_PROGRAM = $(INSTALL) -p    -oroot -groot -m755
INSTALL_SCRIPT  = $(INSTALL) -p    -oroot -groot -m755
INSTALL_DIR     = $(INSTALL) -p -d -oroot -groot -m755

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif

CONFFLAGS_AGENT  = --enable-agent --without-jabber

build:

prepare: patch
	if test -e /usr/share/misc/config.guess ; then \
		if ! test -e config.guess.orig; then \
			mv config.guess config.guess.orig ; \
			cp --remove-destination /usr/share/misc/config.guess config.guess ; \
		fi ; \
	fi

	if test -e /usr/share/misc/config.sub ; then \
		if ! test -e config.sub.orig; then \
			mv config.sub config.sub.orig ; \
			cp --remove-destination /usr/share/misc/config.sub config.sub ; \
		fi ; \
	fi

    # we removed -lcrypto stuff so lets re-run autotools:
	aclocal -I m4
	autoconf
	autoheader
	automake -a
	automake

	touch prepare-stamp

build-agent: config-agent
	dh_testdir
	$(MAKE)

config-agent: prepare config-agent-stamp
config-agent-stamp:
	@echo "Configuring agent"
	dh_testdir
	rm -f config-*-stamp
	LIBCURL_LDFLAGS="-lcurl" ./configure $(CONFFLAGS_AGENT)

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f config-*-stamp
	rm -f install-*-stamp
	rm -f config.log
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f src/zabbix_agent/Makefile ] || $(MAKE) -C src/zabbix_agent/ clean
	[ ! -f src/zabbix_get/Makefile ] || $(MAKE) -C src/zabbix_get/ clean
	[ ! -f src/zabbix_sender/Makefile ] || $(MAKE) -C src/zabbix_sender/ clean

	if test -e config.guess.orig ; then \
		mv config.guess.orig config.guess ; \
	fi ; 
	if test -e config.sub.orig ; then \
		mv config.sub.orig config.sub ; \
	fi ; \
		
	dh_clean


install: install-agent

install-agent: install-agent-stamp
install-agent-stamp: build-agent
	echo ""
	echo $(PKG_CLIENT)
	$(INSTALL_DIR) $(TMP_CLIENT)
	$(INSTALL_DIR) $(TMP_CLIENT)/usr/bin
	$(INSTALL_DIR) $(TMP_CLIENT)/usr/sbin
	$(INSTALL_DIR) $(TMP_CLIENT)/etc/zabbix/
	$(INSTALL_DIR) $(TMP_CLIENT)/etc/logrotate.d/
	$(INSTALL_DIR) $(TMP_CLIENT)/usr/share/zabbix-agent/
	$(INSTALL_DIR) $(TMP_CLIENT)/DEBIAN
	$(INSTALL_PROGRAM) src/zabbix_agent/zabbix_agentd  $(TMP_CLIENT)/usr/sbin
	$(INSTALL_PROGRAM) src/zabbix_agent/zabbix_agent $(TMP_CLIENT)/usr/bin
	$(INSTALL_PROGRAM) src/zabbix_sender/zabbix_sender $(TMP_CLIENT)/usr/bin

	$(INSTALL_DIR) $(TMP_CLIENT)/var/log/zabbix-agent/
	chmod 750 $(TMP_CLIENT)/var/log/zabbix-agent/
	$(INSTALL_DIR) $(TMP_CLIENT)/var/run/zabbix-agent/
	chmod 750 $(TMP_CLIENT)/var/run/zabbix-agent/

	$(INSTALL_FILE) debian/templates/zabbix_agent.conf.in $(TMP_CLIENT)/usr/share/zabbix-agent/zabbix_agent.conf
	$(INSTALL_FILE) debian/templates/zabbix_agentd.conf.in $(TMP_CLIENT)/usr/share/zabbix-agent/zabbix_agentd.conf
	$(INSTALL_FILE) debian/zabbix-agent.logrotate $(TMP_CLIENT)/etc/logrotate.d/zabbix-agent


# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installinit -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: binary-arch-agent
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog -a
	dh_installdocs -a
	dh_installdebconf -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-arch-agent: build-agent install-agent

binary: binary-arch

.PHONY: build clean install install-indep install-agent build-agent binary-arch-agent binary
