=== debian/watch ===
version=2
http://sf.net/zabbix/zabbix-(1.4.*)\.tar\.gz debian uupdate
